%define name pkgbuddy
%define version 0.1.1
%define release %mkrel 1

Summary:	Pkg Buddy
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.pclinuxos.com/
Group:		System/Configuration/Packaging
License:	GPLv3
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   pclinuxos-release
Requires:	apt
Requires:	yad
Requires:   adwaita-icon-theme
Obsoletes:	%name < %version

%description
Simple gui rpm package installer for installing PCLinuxOS local rpms


%prep

%setup -q

%make 

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
 --dir %buildroot%{_datadir}/applications \
%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE
%_bindir/%{name}
%_bindir/%{name}_info
%_datadir/%{name}
%_iconsdir/hicolor/48x48/apps/%{name}.png
%_datadir/applications/%{name}.desktop
%_datadir/applications/%{name}_info.desktop

%changelog
* Sat Mar 10 2018 Ken <lxgator at gmail.com> 0.1.1-1pclos2018
- update

* Sat Dec 30 2017 Ken <lxgator at gmail.com> 0.1.0-1pclos2018
- Create pkg

